Package org.apache.felix.http.jakartawrappers

# Class HttpSessionWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.HttpSessionWrapper

All Implemented Interfaces:
  `jakarta.servlet.http.HttpSession`

public class HttpSessionWrapper extends Object implements jakarta.servlet.http.HttpSession
Http session wrapper

## Nested Class Summary

## Nested classes/interfaces inherited from interface jakarta.servlet.http.HttpSession

`jakarta.servlet.http.HttpSession.Accessor`

## Constructor Summary

Constructors
Constructor
Description
`HttpSessionWrapper(javax.servlet.http.HttpSession session)`
Create new session

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAttribute(String name)`
`Enumeration<String>`
`getAttributeNames()`
`long`
`getCreationTime()`
`String`
`getId()`
`long`
`getLastAccessedTime()`
`int`
`getMaxInactiveInterval()`
`jakarta.servlet.ServletContext`
`getServletContext()`
`void`
`invalidate()`
`boolean`
`isNew()`
`void`
`removeAttribute(String name)`
`void`
`setAttribute(String name, Object value)`
`void`
`setMaxInactiveInterval(int interval)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.http.HttpSession

`getAccessor`

## Constructor Details

### HttpSessionWrapper

public HttpSessionWrapper(@NotNull javax.servlet.http.HttpSession session)
Create new session

Parameters:
  `session` - Wrapped session

## Method Details

### getCreationTime

public long getCreationTime()

Specified by:
  `getCreationTime` in interface `jakarta.servlet.http.HttpSession`

### getId

public String getId()

Specified by:
  `getId` in interface `jakarta.servlet.http.HttpSession`

### getLastAccessedTime

public long getLastAccessedTime()

Specified by:
  `getLastAccessedTime` in interface `jakarta.servlet.http.HttpSession`

### getServletContext

public jakarta.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `jakarta.servlet.http.HttpSession`

### setMaxInactiveInterval

public void setMaxInactiveInterval(int interval)

Specified by:
  `setMaxInactiveInterval` in interface `jakarta.servlet.http.HttpSession`

### getMaxInactiveInterval

public int getMaxInactiveInterval()

Specified by:
  `getMaxInactiveInterval` in interface `jakarta.servlet.http.HttpSession`

### getAttribute

public Object getAttribute(String name)

Specified by:
  `getAttribute` in interface `jakarta.servlet.http.HttpSession`

### getAttributeNames

public Enumeration<String> getAttributeNames()

Specified by:
  `getAttributeNames` in interface `jakarta.servlet.http.HttpSession`

### setAttribute

public void setAttribute(String name, Object value)

Specified by:
  `setAttribute` in interface `jakarta.servlet.http.HttpSession`

### removeAttribute

public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `jakarta.servlet.http.HttpSession`

### invalidate

public void invalidate()

Specified by:
  `invalidate` in interface `jakarta.servlet.http.HttpSession`

### isNew

public boolean isNew()

Specified by:
  `isNew` in interface `jakarta.servlet.http.HttpSession`